| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
MouseEvent Class Reference
General

`#include <mouseevent.h>`

## Public Member Functions
| MouseEvent (const MouseEvent &me)
| MouseEvent (OD::ButtonState st, double xx, double yy, float aa=0)
| MouseEvent (OD::ButtonState st, float xx, float yy, float aa=0)
| MouseEvent (OD::ButtonState st=OD::NoButton, int xx=0, int yy=0, float aa=0)
| ~MouseEvent ()
bool | altStatus () const
float | angle () const
| used for wheel events
OD::ButtonState | buttonState () const
bool | ctrlStatus () const
const Geom::Point2D< double > & | getDPos () const
Geom::Point2D< float > | getFPos () const
bool | isPressed () const
bool | leftButton () const
bool | middleButton () const
bool | operator!= (const MouseEvent &ev) const
MouseEvent & | operator= (const MouseEvent &)
bool | operator== (const MouseEvent &ev) const
const Geom::Point2D< int > & | pos () const
bool | rightButton () const
void | setButtonState (const OD::ButtonState &)
void | setPos (const Geom::Point2D< double > &)
void | setPressed (bool yn)
void | setTabletInfo (const TabletInfo *)
bool | shiftStatus () const
TabletInfo * | tabletInfo ()
const TabletInfo * | tabletInfo () const
int | x () const
int | y () const

## Static Public Member Functions
static float | getDefaultMouseWheelZoomFactor ()
static float | getDefaultTrackpadZoomFactor ()

## Protected Attributes
float | angle_
OD::ButtonState | butstate_
Geom::Point2D< double > | dpos_
Geom::Point2D< int > | pos_
bool | pressed_
TabletInfo * | tabletinfo_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ MouseEvent() [1/4]

MouseEvent::MouseEvent | ( | OD::ButtonState | st = OD::NoButton,
|  | int | xx = 0,
|  | int | yy = 0,
|  | float | aa = 0 )
| inline

## ◆ MouseEvent() [2/4]

MouseEvent::MouseEvent | ( | OD::ButtonState | st,
|  | float | xx,
|  | float | yy,
|  | float | aa = 0 )
| inline

## ◆ MouseEvent() [3/4]

MouseEvent::MouseEvent | ( | OD::ButtonState | st,
|  | double | xx,
|  | double | yy,
|  | float | aa = 0 )
| inline

## ◆ MouseEvent() [4/4]

MouseEvent::MouseEvent | ( | const MouseEvent & | me | ) |
| inline

## ◆ ~MouseEvent()

MouseEvent::~MouseEvent | ( |  | ) |

## Member Function Documentation

## ◆ altStatus()

bool MouseEvent::altStatus | ( |  | ) | const

## ◆ angle()

float MouseEvent::angle | ( |  | ) | const
| inline

used for wheel events

## ◆ buttonState()

OD::ButtonState MouseEvent::buttonState | ( |  | ) | const
| inline

## ◆ ctrlStatus()

bool MouseEvent::ctrlStatus | ( |  | ) | const

## ◆ getDefaultMouseWheelZoomFactor()

static float MouseEvent::getDefaultMouseWheelZoomFactor | ( |  | ) |
| static

## ◆ getDefaultTrackpadZoomFactor()

static float MouseEvent::getDefaultTrackpadZoomFactor | ( |  | ) |
| static

## ◆ getDPos()

const Geom::Point2D< double > & MouseEvent::getDPos | ( |  | ) | const

## ◆ getFPos()

Geom::Point2D< float > MouseEvent::getFPos | ( |  | ) | const

## ◆ isPressed()

bool MouseEvent::isPressed | ( |  | ) | const
| inline

## ◆ leftButton()

bool MouseEvent::leftButton | ( |  | ) | const

## ◆ middleButton()

bool MouseEvent::middleButton | ( |  | ) | const

## ◆ operator!=()

bool MouseEvent::operator!= | ( | const MouseEvent & | ev | ) | const
| inline

## ◆ operator=()

MouseEvent & MouseEvent::operator= | ( | const MouseEvent & |  | ) |

## ◆ operator==()

bool MouseEvent::operator== | ( | const MouseEvent & | ev | ) | const

## ◆ pos()

const Geom::Point2D< int > & MouseEvent::pos | ( |  | ) | const
| inline

## ◆ rightButton()

bool MouseEvent::rightButton | ( |  | ) | const

## ◆ setButtonState()

void MouseEvent::setButtonState | ( | const OD::ButtonState & |  | ) |

## ◆ setPos()

void MouseEvent::setPos | ( | const Geom::Point2D< double > & |  | ) |

## ◆ setPressed()

void MouseEvent::setPressed | ( | bool | yn | ) |
| inline

## ◆ setTabletInfo()

void MouseEvent::setTabletInfo | ( | const TabletInfo * |  | ) |

## ◆ shiftStatus()

bool MouseEvent::shiftStatus | ( |  | ) | const

## ◆ tabletInfo() [1/2]

TabletInfo * MouseEvent::tabletInfo | ( |  | ) |

## ◆ tabletInfo() [2/2]

const TabletInfo * MouseEvent::tabletInfo | ( |  | ) | const

## ◆ x()

int MouseEvent::x | ( |  | ) | const
| inline

## ◆ y()

int MouseEvent::y | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ angle_

float MouseEvent::angle_
| protected

## ◆ butstate_

OD::ButtonState MouseEvent::butstate_
| protected

## ◆ dpos_

Geom::Point2D<double> MouseEvent::dpos_
| protected

## ◆ pos_

Geom::Point2D<int> MouseEvent::pos_
| protected

## ◆ pressed_

bool MouseEvent::pressed_
| protected

## ◆ tabletinfo_

TabletInfo* MouseEvent::tabletinfo_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025